import com.burtbeckwith.appinfo_test.Role
import com.burtbeckwith.appinfo_test.User
import com.burtbeckwith.appinfo_test.UserRole
import app.info.custom.example.MyConfig

class BootStrap {

	def init = { servletContext ->

		[company: 'Example',
		 url: 'http://example.com',
		 sitename: 'Example Dot Com',
		 message: 'Hello World'].each { name, value -> new MyConfig(name: name, value: value).save() }

		def adminRole = new Role(authority: 'ROLE_ADMIN').save()
		def admin = new User(username: 'admin', password: 'password', enabled: true).save()
		UserRole.create admin, adminRole, true
	}
}
